<?php 
// ==================================================================
	//  Author: Ted Kappes (pesoto74@soltec.net)
	//	Web: 	http://tkap.org/paginator/
	//	Name: 	Paginator_html
	// 	Desc: 	Class extension for Paginator. Adds pre-made link sets.
	//
	// 7/21/2003
	//
	//  Please send me a mail telling me what you think of Paginator
	//  and what your using it for. [ pesoto74@soltec.net]
	//
// ==================================================================
			if(empty($_GET['cate'])&& empty($_GET['brand'])&& empty($_GET['pag'])){
				$_GET['pag']="";
			}
	  
			class Paginator_html extends Paginator {
					
				function previousNext()
				{
					if($this->getCurrent()==1)
		         {
		         } else { echo'<a class="page-far-left" title="First" href="'. $this->getPageName() . '?p='.$_GET['p'].'&page='. $this->getFirst().''; if(!empty($_GET['sid'])) echo'&sid='.$_GET['sid'].''; if(!empty($_GET['l'])) echo'&l='.$_GET['l'].'';echo'" ></a> ';}  
					
					if($this->getPrevious())
		        {
		        echo '<a class="page-left" title="Previous" href="'. $this->getPageName() .'?page='. $this->getPrevious() .'&p='.$_GET['p'].''; if(!empty($_GET['sid'])) echo'&sid='.$_GET['sid'].''; if(!empty($_GET['l'])) echo'&l='.$_GET['l'].'';echo'"></a>';
		        }
						$links = $this->getLinkArr();
		      foreach($links as $link)
	          {
				echo'<div id="page-info">';
					if($link == $this->getCurrent()) {
					     echo '<b> '.$link.' </b>' ;
					} else {
					echo '<a href="' . $this->getPageName() .'?page='.$link.'&p='.$_GET['p'].''; if(!empty($_GET['sid'])) echo'&sid='.$_GET['sid'].''; if(!empty($_GET['l'])) echo'&l='.$_GET['l'].'';echo'">'. $link .'</a> ';
					}
				echo'</div>';
		       } 
						if($this->getNext())
		          {
		          echo '<a class="page-right" title="Next" href="'. $this->getPageName() .'?page='. $this->getNext() .'&p='.$_GET['p'].''; if(!empty($_GET['sid'])) echo'&sid='.$_GET['sid'].''; if(!empty($_GET['l'])) echo'&l='.$_GET['l'].'';echo'"></a>';
		          }
				  		if($this->getLast())
		         {
		         echo '<a class="page-far-right" title="Last" href="'. $this->getPageName() .'?p='.$_GET['p'].'&page='. $this->getLast().''; if(!empty($_GET['sid'])) echo'&sid='.$_GET['sid'].''; if(!empty($_GET['l'])) echo'&l='.$_GET['l'].'';echo'"></a> ';
				 
		         } 
		        
		        }  
	}


         ?>
				 